Bug 55760 - neat doesnt work without /boot/module-info
neat doesnt work without /boot/module-info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 56626 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-06 01:29 EST by Olivier Crête
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Crête 2001-11-06 01:29:53 EST
neat crashes if /boot/module-info is not present..

Steps to reproduce:
remove the kernel rpm and replace it with custom kernel
run neat
Actual Results:  crashes
Expected Results:  should work without module-info.. albeit without some
functionality


The package doesnt specifically require module-info nor does it depend on
any package that requires the kernel package (to my knownledge).. So this
is definitely broken...  

I dont know of any way to make a module-info without the official kernel..
which crashes on my system (only 2.4.10+ work properly here.. bug in the
pcmcia driver)..
Comment 1 Harald Hoyer 2001-11-20 05:03:56 EST
fixed in CVS... errata will follow
Comment 2 Trond Eivind Glomsrxd 2001-11-22 12:43:59 EST
*** Bug 56626 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2003-01-13 10:20:48 EST
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/
Comment 4 Harald Hoyer 2004-06-04 05:41:55 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.